﻿:root {
    --bs-green: #35b653;
    --main-color: rgb(45,81,0);
}

.main-logo {
    background-image: url(/client/AE_Wendl_Test/images/logo.jpg);
    background-size: cover;
    height: 40px;
    width: 180px;
}

html {
    height: 100%;
    margin: 0px;
    scroll-behavior: smooth;
}


body {
    height: 100%;
}

.main-bg-color {
    background-color: var(--main-color) !important;
}

/* For small screen */
.colored .row:nth-of-type(odd) {
    background-color: rgba(210, 223, 140, 0.1);
    color: black;
}

.colored .row:nth-of-type(even) {
    background-color: #ffffff;
    color: black;
}

.colored a {
    color: black;
    font-weight: bold;
}

.colored-lead {
    background-color: var(--main-color) !important;
    color: #FFF;
}

.field-validation-error {
    color: #f00;
}

.field-validation-valid {
    display: none;
}


.input-validation-error {
    border: 1px solid #f00;
    background-color: #fee;
}

.validation-summary-errors {
    font-weight: bold;
    color: #f00;
}

.validation-summary-valid {
    display: none;
}

.field-description {
    font-weight: bold;
    border: 1px solid #000 !important;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.btn-toolbar .btn {
    font-size: 12px !important;
    min-width: 110px;
}

img.disk-save {
    display: none !important;
}

.is-dirty img.disk-save {
    display: block !important;
}

.tooltip-inner {
    max-width: 350px;
    width: 350px;
}

.open > .dropdown-menu {
    display: block;
}

.dropdown-menu {
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;
    display: none;
    float: left;
    min-width: 160px;
    padding: 5px 0;
    margin: 2px 0 0;
    font-size: 14px;
    text-align: left;
    list-style: none;
    background-color: #fff;
    -webkit-background-clip: padding-box;
    background-clip: padding-box;
    border: 1px solid #ccc;
    border: 1px solid rgba(0,0,0,.15);
    border-radius: 4px;
    -webkit-box-shadow: 0 6px 12px rgb(0 0 0 / 18%);
    box-shadow: 0 6px 12px rgb(0 0 0 / 18%);
}

.card-label {
    border-radius: 3px;
    box-sizing: border-box;
    display: block;
    float: left;
    font-weight: 600;
    height: 32px;
    line-height: 32px;
    margin: 0 4px 4px 0;
    min-width: 40px;
    padding: 0 12px;
    width: auto;
}

.label-checkbox {
    width: 40px;
    height: 28px;
    text-align: center;
    background-color: #fff;
    -webkit-background-clip: padding-box;
    background-clip: padding-box;
    border: 1px solid #ccc;
    border: 1px solid rgba(0,0,0,.15);
    border-radius: 4px;
    -webkit-box-shadow: 0 6px 12px rgb(0 0 0 / 18%);
    box-shadow: 0 6px 12px rgb(0 0 0 / 18%);
    cursor: pointer;
}

.input-checkbox {
    display: none;
}

    .input-checkbox:checked + .label-checkbox:before {
        content: "✓ ";
        font-weight: 600;
    }

.labelbox {
    width: 15px;
    height: 15px;
    display: inline-flex !important;
    border-radius: 2px;
}

/*.member-with-note,
.member-with-note a {
    color: #4800ff !important;
}
*/
.not-approved,
.not-approved a {
    color: red !important;
}

.is-dirtyFlag,
.is-dirtyFlag a {
    color: brown !important;
}

.is-dirtyFlag-not-approved,
.is-dirtyFlag-not-approved a {
    color: greenyellow !important;
}

.wrapper {
    min-height: 100%;
    margin-bottom: -40px;
}

.push {
    height: 40px;
}

/*
* ===================================================
*     CUSTOMIZED PADDINGS-TOP
* ===================================================
*/
.pt-25 {
    padding-top: 25px !important;
}
.pt-50 {
    padding-top: 50px !important;
}
.pt-75 {
    padding-top: 75px !important;
}
.pt-100 {
    padding-top: 100px !important;
}

/*
* ===================================================
*     SCROLL TO TOP BUTTON
* ===================================================
*/
#scrollTop {
    display: none;
    position: fixed;
    bottom: 2rem;
    right: 2rem;
    width: 45px;
    height: 45px;
    line-height: 45px;
    color: #343a40;
    border: solid 1px #343a40;
    text-align: center;
    background: #fff;
    font-size: .8rem;
    z-index: 999;
    cursor: pointer;
    transition: border-color, color, background-color, bottom .5s ease-out;
}

#scrollTop:hover, #scrollTop:focus {
    background-color: #f8f9fa;
    bottom: 2.2rem;
}

/*
* ===================================================
*     SPINNER
* ===================================================
*/

#spinner {
    background-color: rgba(255,255,255,0.5);
    position: fixed;
    z-index: 999;
    margin: auto;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100vh;
}
#loading-bar-spinner.spinner {
    left: 50%;
    margin-left: -20px;
    top: 50%;
    margin-top: -20px;
    position: absolute;
    z-index: 19 !important;
    animation: loading-bar-spinner 400ms linear infinite;
}

    #loading-bar-spinner.spinner .spinner-icon {
        width: 40px;
        height: 40px;
        border: solid 4px transparent;
        border-top-color: #00C8B1 !important;
        border-left-color: #00C8B1 !important;
        border-radius: 50%;
    }

@keyframes loading-bar-spinner {
    0% {
        transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

/*
* ===================================================
*     FONT STYLES
* ===================================================
*/

.text-black-100{
    color: black;
}




/*
* ===================================================
*     MEGAMENU
* ===================================================
*/
.megamenu {
    overflow: hidden;
    width: 100%;
    border: none !important;
    z-index: 9999;
}

    .megamenu .megamenu-list {
        margin-bottom: 1.5rem;
        padding: 0;
        font-size: 0.8rem;
    }

    .megamenu .megamenu-list-item {
        margin-bottom: 5px;
    }

    .megamenu .megamenu-list-link {
        padding: 5px 0;
        text-decoration: none;
        color: #868e96;
    }

        .megamenu .megamenu-list-link:hover {
            color: #212529;
            background: none;
        }

    .megamenu .megamenu-services {
        padding: 1rem 3rem;
        background: #f8f9fa;
    }

        .megamenu .megamenu-services .megamenu-services-item {
            display: flex;
            margin-top: 1rem;
            margin-right: auto;
            margin-bottom: 1rem;
            margin-left: auto;
            align-items: center;
        }

        .megamenu .megamenu-services .megamenu-services-icon {
            width: 30px;
            height: 30px;
            margin-right: 1rem;
            flex-shrink: 0;
        }

.navbar-icon-link {
    display: flex;
    margin: 0 .5rem;
    padding: .4rem 0;
    cursor: pointer;
    text-decoration: none !important;
    font-size: 1.2rem;
    line-height: 1.5;
    align-items: center;
}

    .navbar-icon-link::after {
        display: none;
    }

    .navbar-icon-link .svg-icon {
        width: 25px;
        height: 25px;
    }

.navbar-icon-link-badge {
    position: absolute;
    top: -5px;
    right: -8px;
    width: 20px;
    height: 20px;
    text-align: center;
    color: #fff;
    border-radius: 50%;
    background: #343a40;
    font-size: 0.6rem;
    line-height: 20px;
}

.navbar-light .navbar-icon-link,
.navbar-fixed-light.fixed-top .navbar-icon-link,
.navbar-hover-light:hover .navbar-icon-link {
    color: rgba(0, 0, 0, 0.95);
}

.navbar-light .navbar-icon-link-badge,
.navbar-fixed-light.fixed-top .navbar-icon-link-badge,
.navbar-hover-light:hover .navbar-icon-link-badge {
    color: #fff;
    background: #343a40;
}

.navbar-dark .navbar-icon-link {
    color: #fff;
}

.navbar-dark .navbar-icon-link-badge {
    color: #343a40;
    background: #fff;
}

@media (max-width: 575.98px) {
    .navbar.navbar-expand-sm {
        padding: 0.6rem 1rem;
    }

        .navbar.navbar-expand-sm .dropdown-menu {
            margin-top: 0;
            border: none;
            box-shadow: none;
        }

        .navbar.navbar-expand-sm.navbar-sticky .navbar-collapse {
            overflow-y: auto;
            max-height: 80vh;
        }

            .navbar.navbar-expand-sm.navbar-sticky .navbar-collapse.collapsing {
                overflow-y: hidden;
            }
}

@media (max-width: 767.98px) {
    .navbar.navbar-expand-md {
        padding: 0.6rem 1rem;
    }

        .navbar.navbar-expand-md .dropdown-menu {
            margin-top: 0;
            border: none;
            box-shadow: none;
        }

        .navbar.navbar-expand-md.navbar-sticky .navbar-collapse {
            overflow-y: auto;
            max-height: 80vh;
        }

            .navbar.navbar-expand-md.navbar-sticky .navbar-collapse.collapsing {
                overflow-y: hidden;
            }
}

@media (max-width: 991.98px) {
    .navbar.navbar-expand-lg {
        padding: 0.6rem 1rem;
    }

        .navbar.navbar-expand-lg .dropdown-menu {
            margin-top: 0;
            border: none;
            box-shadow: none;
        }

        .navbar.navbar-expand-lg.navbar-sticky .navbar-collapse {
            overflow-y: auto;
            max-height: 80vh;
        }

            .navbar.navbar-expand-lg.navbar-sticky .navbar-collapse.collapsing {
                overflow-y: hidden;
            }
}

@media (max-width: 1199.98px) {
    .navbar.navbar-expand-xl {
        padding: 0.6rem 1rem;
    }

        .navbar.navbar-expand-xl .dropdown-menu {
            margin-top: 0;
            border: none;
            box-shadow: none;
        }

        .navbar.navbar-expand-xl.navbar-sticky .navbar-collapse {
            overflow-y: auto;
            max-height: 80vh;
        }

            .navbar.navbar-expand-xl.navbar-sticky .navbar-collapse.collapsing {
                overflow-y: hidden;
            }
}

@media (max-width: 1399.98px) {
    .navbar.navbar-expand-xxl {
        padding: 0.6rem 1rem;
    }

        .navbar.navbar-expand-xxl .dropdown-menu {
            margin-top: 0;
            border: none;
            box-shadow: none;
        }

        .navbar.navbar-expand-xxl.navbar-sticky .navbar-collapse {
            overflow-y: auto;
            max-height: 80vh;
        }

            .navbar.navbar-expand-xxl.navbar-sticky .navbar-collapse.collapsing {
                overflow-y: hidden;
            }
}

.navbar.navbar-expand {
    padding: 0.6rem 1rem;
}

    .navbar.navbar-expand .dropdown-menu {
        margin-top: 0;
        border: none;
        box-shadow: none;
    }

    .navbar.navbar-expand.navbar-sticky .navbar-collapse {
        overflow-y: auto;
        max-height: 80vh;
    }

        .navbar.navbar-expand.navbar-sticky .navbar-collapse.collapsing {
            overflow-y: hidden;
        }


/*
* ===================================================
*     ICON CUSTOMIZACION FOR MEGAMENU
* ===================================================
*/
.iconWithCircle {
    display: inline-block;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    box-shadow: 0 0 3px var(--main-color);
    padding: 0.6em 0.6em;
    font-size: 28px;
    color: var(--main-color);
    align-items: center;
    justify-content: center;
}

/*
* ===================================================
*     ICON CUSTOMIZACION FOR HEADER
* ===================================================
*/
.menu-circle > i, .menu-circle-selected > i {
    display: inline-block;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    box-shadow: 0 0 3px #ffffff;
    padding: 0.6em 0.6em;
    font-size: 16px;
    color: white;
    align-items: center;
    justify-content: center;
}

.menu-circle-selected > i {
    font-size: 20px;
    box-shadow: 0 1px 3px 1px #ffffff;
    border: 2px solid white;
}

/*
* ===================================================
*     OPEN DROPDOWN ON HOVER
* ===================================================
*/

/*.dropdown:hover .dropdown-menu {
    display: block;
    padding-bottom: 30px;*/ /*height dependent on the gap you want to fill*/
    /*position: absolute;
}*/



/*
* ===================================================
*     ICON CUSTOMIZACION FOR HEADER
* ===================================================
*/
.menu-circle > i, .menu-circle-selected > i {
    display: inline-block;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    box-shadow: 0 0 3px #ffffff;
    padding: 0.6em 0.6em;
    font-size: 16px;
    color: white;
    align-items: center;
    justify-content: center;
}

.menu-circle-selected > i {
    font-size: 20px;
    box-shadow: 0 1px 3px 1px #ffffff;
    border: 2px solid white;
}

/*
* ===================================================
*     OPEN DROPDOWN ON HOVER
* ===================================================
*/

.trigger {
    box-sizing: border-box;
    position: relative;
}

.sub {
    box-sizing: border-box;
    position: absolute;
    top: 60px;
    left: 0;
    text-align: left;
    /* hide element for now */
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transition: max-height 0s 0.4s, opacity .1s 1s;
    /* prevent users from showing submenu when hovering hidden element */
    pointer-events: none;
}

    /* sub elements can be hovered */
    .sub > * {
        pointer-events: auto;
    }

    /* show submenu when trigger or menu itself is hovered */
    .sub:hover,
    .trigger:hover .sub {
        max-height: 500px;
        opacity: 1;
        transition-delay: 0s;
    }

/* iPad */
@media only screen and (min-device-width: 768px) and (max-device-width: 1024px) and (-webkit-min-device-pixel-ratio: 1) {
    .sub:hover,
    .trigger:hover .sub {
        height: auto;
        opacity: 1;
        transition-delay: 0s;
    }
}

.navbarAuction {
    color: black;
    background-color: transparent
}

.nav-pills .nav-link.active {
    background-color: black !important
}

/*
* ===================================================
*     TOOLTIP MENU ICONS
* ===================================================
*/

.tooltipHeader {
    position: relative;
    display: inline-block;
}

    .tooltipHeader .toolttext {
        visibility: hidden;
        width: 120px;
        background-color: black;
        color: #fff;
        text-align: center;
        border-radius: 6px;
        position: absolute;
        z-index: 1;
        top: 100%;
        left: 50%;
        margin-left: -60px;
        margin-top: 10px;
    }

    .tooltipHeader:hover .toolttext {
        visibility: visible;
    }

/*
* ===================================================
*     MODAL ERROR
* ===================================================
*/

.modal-error-header {
    background: #e85e6c;
    border-bottom: none;
    position: relative;
    text-align: center;
    border-radius: 5px 5px 0 0;
}

.icon-box {
    color: #fff;
    width: 100%;
    display: inline-block;
    z-index: 9;
    padding: 15px;
    text-align: center;
}

    .icon-box i {
        font-size: 58px;
        margin: -2px 0 0 -2px;
    }


/*
* ===================================================
*     NAVBAR ACTIVE
* ===================================================
*/

.navbaritem-selected {
    background-color: black;
    color: white;
    border-radius: 0.25em;
    text-decoration: none;
}
.navbaritem-selected:hover {
    text-decoration: none;
    color: white;
}



/*
* ===================================================
*     BUTTON STYLE
* ===================================================
*/

.btn-primary {
    color: #fff;
    background-color: #000;
    border-color: #353535;
}

/*
* ===================================================
*     OTHERS
* ===================================================
*/

